// Copyright ExByte Studios. Item Interaction Ecosystem.

#include "ItemCoreModule.h"
#include "ItemCoreLog.h"

DEFINE_LOG_CATEGORY(LogItemCore);

#define LOCTEXT_NAMESPACE "FItemCoreModule"

void FItemCoreModule::StartupModule()
{
	UE_LOG(LogItemCore, Log, TEXT("ItemCore module started."));
}

void FItemCoreModule::ShutdownModule()
{
	UE_LOG(LogItemCore, Log, TEXT("ItemCore module shut down."));
}

#undef LOCTEXT_NAMESPACE

IMPLEMENT_MODULE(FItemCoreModule, ItemCore)
